# Uses of Interface
org.opensaml.soap.wstrust.OnBehalfOf

Packages that use OnBehalfOf
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of OnBehalfOf in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement OnBehalfOf
Modifier and Type
Class
Description
`class`
`OnBehalfOfImpl`
OnBehalfOfImpl.
Methods in org.opensaml.soap.wstrust.impl that return OnBehalfOf
Modifier and Type
Method
Description
`OnBehalfOf`
OnBehalfOfBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`OnBehalfOf`
OnBehalfOfBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.